object Test_redactor_form: TTest_redactor_form
  Left = 288
  Height = 630
  Top = 177
  Width = 942
  Caption = 'Редактор теста'
  ClientHeight = 630
  ClientWidth = 942
  Font.CharSet = RUSSIAN_CHARSET
  Font.Height = -15
  Font.Name = 'Century Gothic'
  Font.Pitch = fpVariable
  Font.Quality = fqDraft
  OnClose = FormClose
  OnShow = FormShow
  Position = poScreenCenter
  ShowInTaskBar = stAlways
  LCLVersion = '1.4.4.0'
  object Test_name: TLabeledEdit
    Left = 24
    Height = 28
    Top = 32
    Width = 464
    EditLabel.AnchorSideLeft.Control = Test_name
    EditLabel.AnchorSideRight.Control = Test_name
    EditLabel.AnchorSideRight.Side = asrBottom
    EditLabel.AnchorSideBottom.Control = Test_name
    EditLabel.Left = 24
    EditLabel.Height = 20
    EditLabel.Top = 9
    EditLabel.Width = 464
    EditLabel.Caption = 'Название теста'
    EditLabel.ParentColor = False
    TabOrder = 0
  end
  object CheckGroups: TCheckGroup
    Left = 112
    Height = 176
    Top = 72
    Width = 440
    AutoFill = True
    Caption = 'Список групп'
    ChildSizing.LeftRightSpacing = 6
    ChildSizing.TopBottomSpacing = 6
    ChildSizing.EnlargeHorizontal = crsHomogenousChildResize
    ChildSizing.EnlargeVertical = crsHomogenousChildResize
    ChildSizing.ShrinkHorizontal = crsScaleChilds
    ChildSizing.ShrinkVertical = crsScaleChilds
    ChildSizing.Layout = cclLeftToRightThenTopToBottom
    ChildSizing.ControlsPerLine = 3
    Columns = 3
    Font.CharSet = RUSSIAN_CHARSET
    Font.Height = -16
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    ParentFont = False
    TabOrder = 1
  end
  object active_test: TCheckBox
    Left = 504
    Height = 25
    Top = 32
    Width = 163
    Caption = 'Активировать тест'
    Font.CharSet = RUSSIAN_CHARSET
    Font.Height = -16
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    OnChange = active_testChange
    ParentFont = False
    TabOrder = 2
  end
  object GroupBox2: TGroupBox
    Left = 248
    Height = 188
    Top = 432
    Width = 680
    Caption = 'Сведения о тесте'
    ClientHeight = 162
    ClientWidth = 676
    Constraints.MinHeight = 188
    Font.CharSet = RUSSIAN_CHARSET
    Font.Height = -16
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    ParentFont = False
    TabOrder = 3
    object Test_created: TLabel
      Left = 8
      Height = 20
      Top = 24
      Width = 192
      BorderSpacing.Left = 8
      BorderSpacing.Top = 4
      Caption = 'Тест пока еще не создан'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -15
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object Test_edited: TLabel
      Left = 8
      Height = 20
      Top = 72
      Width = 192
      Caption = 'Тест пока еще не создан'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -15
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object Label5: TLabel
      AnchorSideLeft.Control = Test_created
      Left = 8
      Height = 20
      Top = -64
      Width = 179
      Caption = 'Дата создания: created'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -15
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object Test_data_edit: TLabel
      Left = 8
      Height = 20
      Top = 48
      Width = 192
      Caption = 'Тест пока еще не создан'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -15
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object special_info: TLabel
      AnchorSideRight.Control = GroupBox2
      AnchorSideRight.Side = asrBottom
      Left = 8
      Height = 64
      Top = 96
      Width = 664
      Anchors = []
      AutoSize = False
      BorderSpacing.Right = 4
      Caption = 'Пометки:'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -15
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
      WordWrap = True
      OnDblClick = special_infoDblClick
    end
    object Test_author: TLabel
      Left = 8
      Height = 20
      Top = 0
      Width = 71
      Caption = 'Автор: Вы'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -15
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object Memo1: TMemo
      Left = 8
      Height = 66
      Top = 94
      Width = 664
      OnExit = Memo1Enter
      TabOrder = 0
      Visible = False
    end
  end
  object GroupBox3: TGroupBox
    Left = 16
    Height = 184
    Top = 264
    Width = 226
    Caption = 'Редактор заданий'
    ClientHeight = 158
    ClientWidth = 222
    Font.CharSet = RUSSIAN_CHARSET
    Font.Height = -16
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    ParentFont = False
    TabOrder = 4
    object Button3: TButton
      Left = 8
      Height = 41
      Top = 56
      Width = 112
      Caption = 'Редактировать'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -13
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      OnClick = Button3Click
      ParentFont = False
      TabOrder = 0
    end
    object BitBtn2: TBitBtn
      Left = 120
      Height = 41
      Top = 56
      Width = 90
      Caption = 'Удалить'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -13
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      Kind = bkCancel
      ModalResult = 2
      OnClick = BitBtn2Click
      ParentFont = False
      TabOrder = 1
    end
    object ComboBox1: TComboBox
      Left = 8
      Height = 29
      Top = 9
      Width = 192
      ItemHeight = 21
      OnChange = ComboBox1Change
      Style = csDropDownList
      TabOrder = 2
    end
    object BitBtn1: TBitBtn
      Left = 24
      Height = 41
      Top = 104
      Width = 152
      Caption = 'Добавить'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -13
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      Kind = bkYes
      ModalResult = 6
      OnClick = BitBtn1Click
      ParentFont = False
      TabOrder = 3
    end
  end
  object GroupBox4: TGroupBox
    Left = 248
    Height = 160
    Top = 264
    Width = 400
    Caption = 'Редактирование оценок'
    ClientHeight = 135
    ClientWidth = 396
    Font.CharSet = RUSSIAN_CHARSET
    Font.Height = -15
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    ParentFont = False
    TabOrder = 5
    object LabeledEdit2: TLabeledEdit
      Left = 8
      Height = 28
      Top = 48
      Width = 80
      EditLabel.AnchorSideLeft.Control = LabeledEdit2
      EditLabel.AnchorSideRight.Control = LabeledEdit2
      EditLabel.AnchorSideRight.Side = asrBottom
      EditLabel.AnchorSideBottom.Control = LabeledEdit2
      EditLabel.Left = 8
      EditLabel.Height = 20
      EditLabel.Top = 25
      EditLabel.Width = 80
      EditLabel.Caption = 'Оценка 2'
      EditLabel.ParentColor = False
      MaxLength = 2
      TabOrder = 0
      Text = '00'
      OnChange = LabeledEdit2Change
      OnKeyDown = LabeledEdit2KeyDown
      OnKeyPress = LabeledEdit2KeyPress
    end
    object LabeledEdit3: TLabeledEdit
      Left = 107
      Height = 28
      Top = 48
      Width = 80
      EditLabel.AnchorSideLeft.Control = LabeledEdit3
      EditLabel.AnchorSideRight.Control = LabeledEdit3
      EditLabel.AnchorSideRight.Side = asrBottom
      EditLabel.AnchorSideBottom.Control = LabeledEdit3
      EditLabel.Left = 107
      EditLabel.Height = 20
      EditLabel.Top = 25
      EditLabel.Width = 80
      EditLabel.Caption = 'Оценка 3'
      EditLabel.ParentColor = False
      MaxLength = 2
      TabOrder = 1
      Text = '50'
      OnChange = LabeledEdit3Change
      OnKeyDown = LabeledEdit2KeyDown
      OnKeyPress = LabeledEdit2KeyPress
    end
    object LabeledEdit4: TLabeledEdit
      Left = 208
      Height = 28
      Top = 48
      Width = 80
      EditLabel.AnchorSideLeft.Control = LabeledEdit4
      EditLabel.AnchorSideRight.Control = LabeledEdit4
      EditLabel.AnchorSideRight.Side = asrBottom
      EditLabel.AnchorSideBottom.Control = LabeledEdit4
      EditLabel.Left = 208
      EditLabel.Height = 20
      EditLabel.Top = 25
      EditLabel.Width = 80
      EditLabel.Caption = 'Оценка 4'
      EditLabel.ParentColor = False
      MaxLength = 2
      TabOrder = 2
      Text = '75'
      OnChange = LabeledEdit4Change
      OnKeyDown = LabeledEdit2KeyDown
      OnKeyPress = LabeledEdit2KeyPress
    end
    object LabeledEdit5: TLabeledEdit
      Left = 308
      Height = 28
      Top = 48
      Width = 80
      EditLabel.AnchorSideLeft.Control = LabeledEdit5
      EditLabel.AnchorSideRight.Control = LabeledEdit5
      EditLabel.AnchorSideRight.Side = asrBottom
      EditLabel.AnchorSideBottom.Control = LabeledEdit5
      EditLabel.Left = 308
      EditLabel.Height = 20
      EditLabel.Top = 25
      EditLabel.Width = 80
      EditLabel.Caption = 'Оценка 5'
      EditLabel.ParentColor = False
      MaxLength = 3
      TabOrder = 3
      Text = '90'
      OnChange = LabeledEdit5Change
      OnKeyDown = LabeledEdit2KeyDown
      OnKeyPress = LabeledEdit2KeyPress
    end
    object Label2: TLabel
      Left = 8
      Height = 20
      Top = 0
      Width = 183
      Caption = 'Общее кол-во баллов: 0'
      ParentColor = False
    end
    object Label3: TLabel
      Left = 48
      Height = 17
      Top = 105
      Width = 292
      Caption = '(Оценка зависит от % выполненной работы)'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -13
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object Label4: TLabel
      Left = 16
      Height = 17
      Top = 78
      Width = 52
      Caption = '0 баллов'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -12
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object Label6: TLabel
      Left = 120
      Height = 17
      Top = 78
      Width = 52
      Caption = '0 баллов'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -12
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object Label7: TLabel
      Left = 224
      Height = 17
      Top = 78
      Width = 52
      Caption = '0 баллов'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -12
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
    object Label8: TLabel
      Left = 320
      Height = 17
      Top = 78
      Width = 52
      Caption = '0 баллов'
      Font.CharSet = RUSSIAN_CHARSET
      Font.Height = -12
      Font.Name = 'Century Gothic'
      Font.Pitch = fpVariable
      Font.Quality = fqDraft
      ParentColor = False
      ParentFont = False
    end
  end
  object Button1: TButton
    AnchorSideTop.Side = asrCenter
    Left = 64
    Height = 40
    Top = 576
    Width = 120
    Caption = 'Сохранить'
    Font.CharSet = RUSSIAN_CHARSET
    Font.Height = -16
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    OnClick = Button1Click
    ParentFont = False
    TabOrder = 6
  end
  object BitBtn3: TBitBtn
    AnchorSideTop.Side = asrBottom
    Left = 24
    Height = 40
    Top = 528
    Width = 200
    Caption = 'Мануал по редактору'
    Font.CharSet = RUSSIAN_CHARSET
    Font.Height = -15
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    Kind = bkHelp
    ParentFont = False
    TabOrder = 7
  end
  object CheckGroup2: TCheckGroup
    Left = 24
    Height = 177
    Top = 72
    Width = 73
    AutoFill = True
    Caption = 'Курсы'
    ChildSizing.LeftRightSpacing = 6
    ChildSizing.TopBottomSpacing = 6
    ChildSizing.EnlargeHorizontal = crsHomogenousChildResize
    ChildSizing.EnlargeVertical = crsHomogenousChildResize
    ChildSizing.ShrinkHorizontal = crsScaleChilds
    ChildSizing.ShrinkVertical = crsScaleChilds
    ChildSizing.Layout = cclLeftToRightThenTopToBottom
    ChildSizing.ControlsPerLine = 1
    ClientHeight = 152
    ClientWidth = 69
    Items.Strings = (
      '1'
      '2'
      '3'
      '4'
    )
    OnItemClick = CheckGroup2ItemClick
    TabOrder = 8
    Data = {
      0400000002020202
    }
  end
  object CheckBox9: TCheckBox
    Left = 656
    Height = 24
    Top = 264
    Width = 155
    Caption = 'Добавить варинты'
    OnChange = CheckBox9Change
    TabOrder = 9
  end
  object GroupBox5: TGroupBox
    Left = 560
    Height = 178
    Top = 72
    Width = 264
    Caption = 'Ограничение по времени'
    ClientHeight = 153
    ClientWidth = 260
    TabOrder = 10
    object DateTimePicker1: TDateTimePicker
      Left = 8
      Height = 28
      Top = 96
      Width = 149
      CenturyFrom = 1941
      MaxDate = 54880
      MinDate = 42462
      TabOrder = 0
      TrailingSeparator = False
      TextForNullDate = 'NULL'
      LeadingZeros = True
      NullInputAllowed = False
      Kind = dtkDateTime
      TimeFormat = tf24
      TimeDisplay = tdHM
      DateMode = dmComboBox
      Date = 42462
      Time = 0.407212962963968
      UseDefaultSeparators = True
      HideDateTimeParts = []
      MonthNames = 'Long'
    end
    object Label1: TLabel
      Left = 8
      Height = 20
      Top = 72
      Width = 185
      Caption = 'Тест будет доступен ДО:'
      ParentColor = False
    end
    object DateTimePicker2: TDateTimePicker
      Left = 8
      Height = 28
      Top = 32
      Width = 149
      CenturyFrom = 1941
      MaxDate = 54880
      MinDate = 42462
      TabOrder = 1
      TrailingSeparator = False
      TextForNullDate = 'NULL'
      LeadingZeros = True
      NullInputAllowed = False
      Kind = dtkDateTime
      TimeFormat = tf24
      TimeDisplay = tdHM
      DateMode = dmComboBox
      Date = 42462
      Time = 0.407212962963968
      UseDefaultSeparators = True
      HideDateTimeParts = []
      MonthNames = 'Long'
    end
    object Label9: TLabel
      Left = 8
      Height = 20
      Top = 8
      Width = 179
      Caption = 'Тест будет доступен ОТ:'
      ParentColor = False
    end
  end
  object CheckGroup1: TCheckGroup
    Left = 656
    Height = 137
    Top = 288
    Width = 168
    AutoFill = True
    Caption = 'Варианты'
    ChildSizing.LeftRightSpacing = 6
    ChildSizing.TopBottomSpacing = 6
    ChildSizing.EnlargeHorizontal = crsHomogenousChildResize
    ChildSizing.EnlargeVertical = crsHomogenousChildResize
    ChildSizing.ShrinkHorizontal = crsScaleChilds
    ChildSizing.ShrinkVertical = crsScaleChilds
    ChildSizing.Layout = cclLeftToRightThenTopToBottom
    ChildSizing.ControlsPerLine = 2
    ClientHeight = 112
    ClientWidth = 164
    Columns = 2
    Enabled = False
    Items.Strings = (
      '1'
      '2'
      '3'
      '4'
      '5'
      '6'
      '7'
      '8'
    )
    TabOrder = 11
    Data = {
      080000000202020202020202
    }
  end
  object Button2: TButton
    AnchorSideTop.Side = asrCenter
    Left = 16
    Height = 40
    Top = 480
    Width = 216
    Caption = 'Результаты тестирования'
    Font.CharSet = RUSSIAN_CHARSET
    Font.Height = -16
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    ParentFont = False
    TabOrder = 12
  end
  object Label10: TLabel
    Left = 688
    Height = 19
    Top = 32
    Width = 102
    Caption = 'Тест удален!'
    Font.CharSet = RUSSIAN_CHARSET
    Font.Color = clRed
    Font.Height = -16
    Font.Name = 'Century Gothic'
    Font.Pitch = fpVariable
    Font.Quality = fqDraft
    Font.Style = [fsBold]
    ParentColor = False
    ParentFont = False
    Visible = False
    OnDblClick = Label10DblClick
  end
end
